complexType "TenorPeriod"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-fx-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (periodMultiplier?, period?) | fxTenorPeriod?
</...>

Content Model Elements (3):

  fxTenorPeriod, period (in tenorPeriod), | periodMultiplier (in tenorPeriod)

All Direct / Indirect Based Elements (1):

  tenorPeriod

Known Usage Locations

- As direct type of elements (1):
  tenorPeriod

Annotation
A type defining a tenor Period, e.g. one day, three months, Spot.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="TenorPeriod"> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="periodMultiplier" type="xsd:nonNegativeInteger"/> <xsd:element minOccurs="0" name="period" type="PeriodEnum"/> </xsd:sequence> <xsd:element minOccurs="0" name="fxTenorPeriod" type="FxTenorPeriodEnum"/> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 3/3)
fxTenorPeriod

  Type: | FxTenorPeriodEnum, simple content

  A time period, e.g. Spot, Today.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Broken" | - | Broken/non conventional Tenor Period. See: http://www.FpML.org
  "Today" | - | Today Tenor Period. See: http://www.FpML.org
  "Tomorrow" | - | Tomorrow Tenor Period. See: http://www.FpML.org
  "Day after Tomorrow" | - | Day after Tomorrow Tenor Period. See: http://www.FpML.org
  "Spot" | - | Spot Tenor Period. See: http://www.FpML.org
  "Day after Spot" | - | Day after Spot Tenor period. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fxTenorPeriod" type="FxTenorPeriodEnum"/>

period

  Type: | PeriodEnum, simple content

  A time period, e.g. D(ay), W(week), M(onth), Y(ear).
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "D" | - | Day. See: http://www.FpML.org
  "W" | - | Week. See: http://www.FpML.org
  "M" | - | Month. See: http://www.FpML.org
  "Y" | - | Year. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="period" type="PeriodEnum"/>

periodMultiplier

  Type: | xsd:nonNegativeInteger, predefined, simple content

  A time period multiplier, e.g. 1, 2 or 3 etc.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="periodMultiplier" type="xsd:nonNegativeInteger"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.